Name:           python-kmod
License:        LGPLv2+
Group:          Development/Libraries
Summary:        Python module to work with kernel modules
Version:        0.1
Release:        3%{?dist}
URL:            https://github.com/agrover/python-kmod/
Source          https://github.com/downloads/agrover/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  kmod-devel

%description
Python module to allow listing, loading, and unloading
Linux kernel modules, using libkmod.

%prep
%setup -q

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}

%files
%{python_sitearch}/*
%doc COPYING COPYING.LESSER README

%changelog
* Fri May 4 2012 Andy Grover <agrover@redhat.com> - 0.1-3
- Update for new upstream release location

* Tue Apr 17 2012 Andy Grover <agrover@redhat.com> - 0.1-2
- Correct License field to LGPLv2+
- Remove explicit Requires for kmod-libs

* Thu Apr 12 2012 Andy Grover <agrover@redhat.com> - 0.1-1
- Initial packaging
